/* BdfServer - Copyright (c) 2026 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.tools.filesupload;


/**
 *
 * @author Vincent Calame
 */
public class TmpFileInfo {

    private final String extension;
    private final String tmpFileName;
    private final String originalBasename;
    private final String normalizedBasename;

    public TmpFileInfo(String extension, String tmpFileName, String originalBasename, String normalizedBasename) {
        this.extension = extension;
        this.tmpFileName = tmpFileName;
        this.originalBasename = originalBasename;
        this.normalizedBasename = normalizedBasename;
    }

    public String getExtension() {
        return extension;
    }

    public String getTmpFileName() {
        return tmpFileName;
    }

    public String getOriginalBasename() {
        return originalBasename;
    }

    public String getNormalizedBasename() {
        return normalizedBasename;
    }

}
